Holger's Java API

## com.antelmann.util.gui
Interface EditableComponent

All Known Implementing Classes:
  ConvertedObjectTableModel, ConvertedTableModel, JCategoryField, JComposition, JDataMatrixView, JDateTimeChooser, JDBCRowModel, JDBCTableModel, JEmailForm, JEnumField, JFileField, JHourSpinner, JImagePanel, JMethodTableModelComponent, JPropertyEditor, JPropertyEntryComponent, JPropertyEntryForm, JTagsField, JTimeChooser, JURLField, JYouTubeField, ObjectTableModelWrapper, RowItemTableModel, TableModelWrapper

    public interface EditableComponent

a component that supports user edits that can be disabled. An example would be a `JTextField`, only that it doesn't implement this interface by itself.

Since:
  07.10.2009, 15:57:35
Author:
  Holger Antelmann

Method Summary
`boolean` `isEditable()`
`void` `setEditable(boolean flag)`

Method Detail

### isEditable

    boolean isEditable()

### setEditable

    void setEditable(boolean flag)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads